﻿'use strict';

var MyViewModel = function () {
    var self = this;

    self.contentType = "application/json;odata=verbose";
    self.contacts = ko.observableArray([]);

    self.read = function () {
        $.ajax({
            url: '_api/lists/getByTitle(\'Contacts\')/items',
            contentType: self.contentType,
            type: 'GET',
            success: function (data) {
                self.contacts(data.d.results);
            },
            error: function (err) {
                alert(err);
            }
        });
    };
};

$(document).ready(function () {
    var model = new MyViewModel();
    ko.applyBindings(model);
});